> For the complete documentation index, see [llms.txt](https://docs.humdata.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.humdata.org/build/hdx-apis.md).

# HDX APIs

- [File download endpoint](https://docs.humdata.org/build/hdx-apis/file-download-endpoint.md): A guide to accessing, downloading, and integrating HDX data through the File URL.
- [Finding and downloading data](https://docs.humdata.org/build/hdx-apis/file-download-endpoint/finding-and-downloading-data.md): Many data resources can be accessed through the file download endpoint
- [Tools](https://docs.humdata.org/build/hdx-apis/file-download-endpoint/tools.md): Learn how to use the file download in Power BI.
- [Metadata endpoints](https://docs.humdata.org/build/hdx-apis/metadata-endpoints.md): A guide to accessing and cataloguing HDX data through the metadata endpoints.
- [package\_search](https://docs.humdata.org/build/hdx-apis/metadata-endpoints/package_search.md): Learn how to query package\_search to catalogue data on HDX
- [package\_show](https://docs.humdata.org/build/hdx-apis/metadata-endpoints/package_show.md): Learn how to query package\_show to learn more about a dataset on HDX
- [OpenAPI specification](https://docs.humdata.org/build/hdx-apis/metadata-endpoints/openapi-specification.md): Full parameter and response reference for the package\_search endpoint.
- [Code examples and Python notebook](https://docs.humdata.org/build/hdx-apis/metadata-endpoints/code-examples-and-python-notebook.md): Python and Javascript examples and a ready-to-run Python notebook
- [Troubleshooting and error handling](https://docs.humdata.org/build/hdx-apis/metadata-endpoints/troubleshooting-and-error-handling.md): Need help with the metadata endpoints? Look no further.
- [Tabular Data Endpoints](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints.md): A guide to accessing, filtering, and integrating HDX data through the Tabular Data Endpoints (TDE).
- [Available data and resource IDs](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints/available-data-and-resource-ids.md): How to find Tabular Data resources
- [How to query the Tabular Data Endpoints](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints/how-to-query-the-tabular-data-endpoints.md): How to use the different Tabular Data endpoints
- [OpenAPI specification](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints/openapi-specification.md): Full parameter and response reference for the three Tabular Data Endpoints.
- [Code examples](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints/code-examples.md): Python and Javascript examples
- [Tools and notebook](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints/tools-and-notebook.md): Tabular Data endpoints tool integrations and Python notebook
- [Troubleshooting and error handling](https://docs.humdata.org/build/hdx-apis/tabular-data-endpoints/troubleshooting-and-error-handling.md): Need help with the Tabular Data endpoints? Look no further.
- [Humanitarian API](https://docs.humdata.org/build/hdx-apis/hapi.md): Learn more about the HDX Humanitarian API.
- [Available data in HAPI](https://docs.humdata.org/build/hdx-apis/hapi/available-data.md): See what data is available on HAPI below.
- [How to query HAPI](https://docs.humdata.org/build/hdx-apis/hapi/how-to-query-hapi.md): How to use HAPI
- [API reference](https://docs.humdata.org/build/hdx-apis/hapi/api-reference.md): Full parameter and response reference for HAPI.
- [Generate App Identifier](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/generate-app-identifier.md)
- [Affected People](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/affected-people.md)
- [Coordination & Context](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/coordination-and-context.md)
- [Food Security, Nutrition & Poverty](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/food-security-nutrition-and-poverty.md)
- [Geography & Infrastructure](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/geography-and-infrastructure.md)
- [Climate](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/climate.md)
- [Metadata](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/metadata.md)
- [Util](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/util.md)
- [Models](https://docs.humdata.org/build/hdx-apis/hapi/api-reference/models.md)
- [Examples and use-cases](https://docs.humdata.org/build/hdx-apis/hapi/examples-and-use-cases.md): Python examples with tools and integrations
- [Troubleshooting and error handling](https://docs.humdata.org/build/hdx-apis/hapi/troubleshooting-and-error-handling.md): Need help with the HAPI? Look no further.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.humdata.org/build/hdx-apis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
